<?php
session_start();
include('config.php');

include($rutaPhp.$rutaHtml.'/librerias/constantes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/funciones-cachews-customNusoap.php');
include($rutaPhp.$rutaHtml.'/librerias/funciones-generales.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');
include($rutaPhp.$rutaHtml.'/librerias/calendario.php');

$gestionLineas=($_SESSION['parametrosSGA']['GestionLineasTrabajo']=='S');
$gestionTurnos=($_SESSION['parametrosSGA']['GestionTurnosTrabajo']=='S');
$FichajesActivodEnTransformacion=($_SESSION['parametrosSGA']['FichajesActivodEnTransformacion']=='S');

$gestionDefectuosos=($_SESSION['parametrosSGA']['GestionTransformacionesDefectuosos']=='S');

$mostrarGestion=($_SESSION['operacion']['GestionTransformacionPUBPRI']=='S');

$autoControlesCalidad=arreglaArrayPXMobileProxiumResult($_SESSION['operacion']['AutoControles']);
if(is_array($autoControlesCalidad)) $cuantosAntoControlesHay=count($autoControlesCalidad); else $cuantosAntoControlesHay=0;
if($_SESSION['operacion']['ProductoObtener']['ProductoCantidadPendiente']>0) $cantidadPendienteTransformar=$_SESSION['operacion']['ProductoObtener']['ProductoCantidadPendiente'];
else $cantidadPendienteTransformar=0;


//18-12-2025 datos que vienen de fichajes-operarios.php al seleccionar
if(isset($_POST['cadenaOperarios']) && $_POST['cadenaOperarios']) $cadenaOperariosFinal=$_POST['cadenaOperarios']; else if(isset($_GET['cadenaOperarios']) && $_GET['cadenaOperarios']) $cadenaOperariosFinal=$_GET['cadenaOperarios'];
if(isset($_GET['accion']) && $_GET['accion']) $accion=$_GET['accion'];

//18-12-2025 datos que vienen de esta misma pantalla, tras gestionar quien se va y quien se queda
if(isset($_POST['cadenaOperariosInicial']) && $_POST['cadenaOperariosInicial']) $cadenaOperariosInicial=$_POST['cadenaOperariosInicial']; else if(isset($_GET['cadenaOperariosInicial']) && $_GET['cadenaOperariosInicial']) $cadenaOperariosInicial=$_GET['cadenaOperariosInicial'];
if(isset($_POST['cadenaOperariosFinal']) && $_POST['cadenaOperariosFinal']) $cadenaOperariosFinal=$_POST['cadenaOperariosFinal']; else if(isset($_GET['cadenaOperariosFinal']) && $_GET['cadenaOperariosFinal']) $cadenaOperariosFinal=$_GET['cadenaOperariosFinal'];


if( $_POST['enviar']=='1' ) {


	//print_r($_POST);




	$paletDestino=$_POST['paletDestino'];
	$paletDestinoDefectuosos=$_POST['paletDestinoDefectuosos'];
	$lote=$_POST['lote'];
	$caducidad=fechaParaProxium(fechaMysql($_POST['caducidad']));
	$cantidadFinal=$_POST['cantidadFinal'];
	if($_POST['cierrePalet']) $cierrePalet='S'; else $cierrePalet='N';
	
	$continuarEnvio=true;
	
	//04-08-2023
	$asociarSSCC=($_SESSION['parametrosSGA']['AsociarSSCC']=='S' && $_SESSION['operacion']['ClienteAsociarSSCC']=='S');
	

	if($asociarSSCC && $_POST['SSCC']) {
			
		$cadenaPalet=$paletDestino.',,'.$_POST['SSCC'];
		
		$peticion='SGATipificarPalets#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$_SESSION['almacen'].'#'.$cadenaPalet.'#'.$_SESSION['operacion']['NumOperacion']; //03-09-2024 TICKET 24060963;
		$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
		
		if($_GET['traza']=='si') {
			echo '<p>'.$peticion.'</p>';
			print_r($resultado);
		}
		
		$valores=explode('#',$resultado[0]['Error']);
		
		if($valores[0]=='1') {
			$continuarEnvio=false;
			?><script>alert('ERROR: <?php echo $valores[1]; ?>',null,'error');</script><?php
		}
				
	}

	
	if($continuarEnvio) {
	
		/*
	
		SGAOperacionesLog#PXPP#ADM#CIERREOPERACION#PARAMETROS
	
		PARAMETROS=
		TL220001;
		ProductoObtener¬Idioma¬Precinta¬LoteOriginal¬CaducidadOriginal¬Orden¬PaletDestino¬Lote¬Caducidad¬Cantidad¬CierrePalet¬PaletDestinoDefectuosos;
		
		ProductoUtilizar1¬TipoPropietario¬Propietario¬Idioma¬Precinta¬Lote¬Caducidad¬Palet¬Cantidad¬CantidadDefectuosa;
		ProductoUtilizar2¬TipoPropietario¬Propietario¬Idioma¬Precinta¬Lote¬Caducidad¬Palet¬Cantidad¬CantidadDefectuosa;
		ProductoUtilizar3¬TipoPropietario¬Propietario¬Idioma¬Precinta¬Lote¬Caducidad¬Palet¬Cantidad¬CantidadDefectuosa
		
		*/
		
		//Transfor ; LineaTrabajo ; Turno ; Prod obtenido ; Prods utilizar;;;;
		
		$peticion='SGAOperacionesLog#'.$_SESSION['operacion']['Empresa'].'#'.$_SESSION['usuario']['Usuario'].'#CIERREOPERACION#';
		$peticion.=$_SESSION['operacion']['NumOperacion'].';';
		
		$peticion.=$_SESSION['transformacion_lineaTrabajo_seleccionada'].';';
		$peticion.=$_SESSION['transformacion_turnoTrabajo_seleccionado'].';';
		
		$peticion.=$_SESSION['operacion']['ProductoObtener']['ProductoCodigo'].'¬'.$_SESSION['operacion']['ProductoObtener']['ProductoIdioma'].'¬'.$_SESSION['operacion']['ProductoObtener']['ProductoPrecinta'].'¬'.$_SESSION['operacion']['ProductoObtener']['ProductoLote'].'¬'.$_SESSION['operacion']['ProductoObtener']['ProductoCaducidad'].'¬'.$_SESSION['operacion']['ProductoObtener']['ProductoOrden'].'¬'.$paletDestino.'¬'.$lote.'¬'.$caducidad.'¬'.$cantidadFinal.'¬'.$cierrePalet.'¬'.$paletDestinoDefectuosos.';';
		
		// cantidadSuma¬46001
		// cantidad¬46001¬0
		
		$cantidades=array();
		$hayBloqueProductosUtilizar=false;
		
		foreach($_SESSION['operacion']['ProductosUtilizar'] as $item) {
		
			if($item['ProductoCodigo']) $hayBloqueProductosUtilizar=true;
		
			$contador=0;
			
			$cantidades[$item['ProductoCodigo']]['cantidadSuma']=$_POST['cantidadSuma¬'.limpiaCodigo($item['ProductoCodigo'])];
			
			foreach(arreglaArrayPXMobileProxiumResult($item['ProductoPalets']) as $item2) {
					
				foreach(arreglaArrayPXMobileProxiumResult($item2['PaletLotes']) as $item3) {
				
					$cantidad=$_POST['cantidad¬'.limpiaCodigo($item['ProductoCodigo']).'¬'.$contador];
					$cantidadDefectuosa=$_POST['cantidadDefectuosa¬'.limpiaCodigo($item['ProductoCodigo']).'¬'.$contador];
				
					$cantidades[$item['ProductoCodigo']]['cantidad'][$contador]=$cantidad;
					$cantidades[$item['ProductoCodigo']]['cantidadDefectuosa'][$contador]=$cantidadDefectuosa;
					$contador++;
					
					if($cantidad || $cantidadDefectuosa) {
					
						//ProductoUtilizar1¬TipoPropietario¬Propietario¬Idioma¬Precinta¬Lote¬Caducidad¬Palet¬Cantidad;
						$peticion.=$item['ProductoCodigo'].'¬'.$item['ProductoTipoPropietaro'].'¬'.$item['ProductoPropietario'].'¬'.$item['ProductoIdioma'].'¬'.$item['ProductoPrecinta'].'¬'.$item3['PaletProductoLote'].'¬'.$item3['PaletProductoCaducidad'].'¬'.$item2['PaletNumero'].'¬'.$cantidad.'¬'.$cantidadDefectuosa.';';
					
					}
				
				}
				
			}
		
		}
		
		
		//////////// GRABACION DE FICHAJES, AUNQUE NO LLEVE CANTIDAD
		if($FichajesActivodEnTransformacion) $peticion.='#'.$cadenaOperariosFinal;
		$hayCierreFichajesSinCantidad=($_POST['cierreSinCantidad']);
		///////////////
		
		
		if($hayBloqueProductosUtilizar || $hayCierreFichajesSinCantidad) { //19-10-2023 se ha podido rellenar el bloque cantidades, que en algunos casos se ha perdido. Control en proxium y aqui
		
			$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
			
			if($_GET['traza']=='si') {
				echo '<p>'.$peticion.'</p>';
				print_r($resultado);
			}
			
			$valores=explode('#',$resultado[0]['Error']);
			
			if($valores[0]=='1') {
				?><script>alert('ERROR: <?php echo $valores[1]; ?>',null,'error');</script><?php
			}
			else {
			
				?>
				<script>
					alert('Cierre registrado correctamente.',null,'ok')
					.done(function(){
						$('#popupCargando').show();
						window.location='operacion-logistica-transformacion.php?operacion=<?php echo $_SESSION['operacion']['NumOperacion']; ?>&empresa=<?php echo $_SESSION['operacion']['Empresa']; ?>&codigo=<?php echo $_SESSION['operacion']['ProductoObtener']['ProductoCodigo']; ?>';
					});
				</script>
				<?php
			}
	
		}
		else { //19-10-2023 por algun motivo, se ha perdido el bloque de productos a utilizar y la tablet no es capaz de crear el bloque de cantidades para el ws
		
				?>
				<script>
					alert('Ha ocurrido un error en tablet durante el registro de la operación y se han perdido datos en pantalla.<br>Por favor, parte de nuevo desde el listado y vuelve a introducir los datos.',null,'error')
					.done(function(){
						$('#popupCargando').show();
						window.location='operaciones-logisticas.php';
					});
				</script>
				<?php
		
		}
		
	} //Fin if continuarEnvio

}



//DETALLE DE LA OPERACION DE TRANSFORMACION

//SGAOperacionesLog#PXPP#ADM#DETALLEOPERACION#TL220001;ProductoObtener;idioma;precinta;lote;caducidad

$peticion='SGAOperacionesLog#'.$_SESSION['operacion']['Empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEOPERACION#'.$_SESSION['operacion']['NumOperacion'].';'.$_SESSION['operacion']['ProductoObtener']['ProductoCodigo'].';'.$_SESSION['operacion']['ProductoObtener']['ProductoIdioma'].';'.$_SESSION['operacion']['ProductoObtener']['ProductoPrecinta'].';'.$_SESSION['operacion']['ProductoObtener']['ProductoLote'].';'.$_SESSION['operacion']['ProductoObtener']['ProductoCaducidad'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

if(!$resultado[0]['Error']) {

	//print_r($_SESSION['operacion']['ProductoObtener']);

	//4-10-2024 añadimos que solo puedan informarse lote y/o caducidad si el producto está en regimen GRAL, los DF no se puede
	$gestionLote=($_SESSION['operacion']['ProductoObtener']['ProductoGestionLote']=='S' && $_SESSION['operacion']['ProductoObtener']['ProductoRegimen']=='GRAL');
	$gestionCaducidad=($_SESSION['operacion']['ProductoObtener']['ProductoGestionCaducidad']=='S' && $_SESSION['operacion']['ProductoObtener']['ProductoRegimen']=='GRAL');
	
	//03-08-2023 TICKET 23053390
    $asociarSSCC=($_SESSION['parametrosSGA']['AsociarSSCC']=='S' && $_SESSION['operacion']['ClienteAsociarSSCC']=='S');
	
	?>
		<style type="text/css">
		<!--
		.campoAjustadoBloque {
			width:160px;
		}
		.campoAjustado {
			width:120px;
			margin-left:4px;
			padding: 5px 15px 5px 10px;
		}
		.columnaAjustadaPadding {
			/*background-color:#FFFF00!important;*/
			padding-left:0!important;
			padding-right:0!important;
		}
		-->
        </style>
		
       

	<h2 style="margin:40px">Operación de Transformación Nº <?php echo $_SESSION['operacion']['NumOperacion']; ?></h2>
		
		<table class="tablaFormateada" style="margin:0 auto">
		  <tr>
			<?php if(count($_SESSION['empresas'])>1) { ?><th>Emp.</th><?php } ?>
			<th>Nº Operación</th>
				<th>Ref. Cliente</th>
				<th>Cliente</th>
                <?php if($gestionLineas) { ?>
                <th>Linea Trabajo</th>
                <?php } ?>
                <?php if($gestionTurnos) { ?>
                <th>Turno Trabajo</th>
                <?php } ?>
				<th>Estado Operación</th>
			</tr>
			<tr>
				<?php if(count($_SESSION['empresas'])>1) { ?><td valign="top"><?php echo $_SESSION['operacion']['Empresa']; ?></td><?php } ?>
				<td valign="middle"><?php echo $_SESSION['operacion']['NumOperacion']; ?></td>
				<td valign="middle"><?php echo $_SESSION['operacion']['ClienteRef']; ?></td>
				<td valign="middle"><?php echo $_SESSION['operacion']['ClienteNombre']; ?></td>
                <?php if($gestionLineas) { ?>
                <td valign="middle"><?php echo $_SESSION['transformacion_lineaTrabajo_seleccionada_nombre']; ?></td>
                <?php } ?>
                <?php if($gestionTurnos) { ?>
                <td valign="middle"><?php echo $_SESSION['transformacion_turnoTrabajo_seleccionado_nombre']; ?></td>
                <?php } ?>
				<td valign="middle"><?php echo $_SESSION['operacion']['Estado']; ?></td>
			</tr>
		</table>
        
        <p><strong>CIERRE DE PRODUCTO</strong></p>
        
        <?php if($FichajesActivodEnTransformacion) { ?>
        <a href="#bloqueFichajes"><div id="botonFichajes" class="botonMenuFlotante" style="margin:0 auto"><img src="<?php echo DIR_IMAGENES; ?>/reloj.png" class="menuIcono parpadea" border="0" /></div></a>
        <p>Hay fichajes en curso. Si deseas hacer cambios de operarios sin informar cantidad de cierre,<br />marca la opción "Realizar cambios en fichaje sin cerrar cantidad" en la parte inferior de esta pantalla</p> 
        <?php } ?>
        
        <?php 
		if($_GET['traza']=='si') {
			echo '<p>Producto a obtener:</p>';
			print_r($_SESSION['operacion']['ProductoObtener']);
		}
		
		//Bloqueos de campos si vienen de proxium no son editables
		if($_SESSION['operacion']['ProductoObtener']['ProductoLote'] && $_SESSION['operacion']['ProductoObtener']['ProductoLote']!='-') $bloquearLote=true;
		if($_SESSION['operacion']['ProductoObtener']['ProductoCaducidad'] && $_SESSION['operacion']['ProductoObtener']['ProductoCaducidad']!='-') $bloquearCaducidad=true;
		
		?>
        
        <form id="formulario" name="formulario" method="post" action="">
        
        <table class="tablaFormateada" style="text-align:left">
			<tr>
				<th colspan="2" align="center"><strong>PRODUCTO OBTENIDO</strong></th>
			</tr>
			<tr>
				<td>Código:</td>
                <td><?php echo $_SESSION['operacion']['ProductoObtener']['ProductoCodigo']; ?></td>
            </tr>
            <tr>
				<td>Descripción:</td>
				<td><?php echo $_SESSION['operacion']['ProductoObtener']['ProductoDescripcion']; ?></td>
            </tr>
            
            <?php if($gestionLote) { ?>
            <tr>
              <td>Cantidad pendiente:</td>
              <td><?php echo formateaNumeroDecimal($_SESSION['operacion']['ProductoObtener']['ProductoCantidadPendiente'],true); ?></td>
            </tr>
            <tr>
				<td>Lote:</td>   
				<td>
                <div class="campoOrdenPreparacionBloque" style="width:360px;margin-left:70px;">
                    <input name="lote" type="text" class="campo campoOrdenPreparacion mayusculas <?php if($bloquearLote) { ?>deshabilitado<?php } ?>" id="lote" size="24" autocomplete="off" style="width:300px;left:0" value="<?php if($lote) echo $lote; else if($_SESSION['operacion']['ProductoObtener']['ProductoLote'] && $_SESSION['operacion']['ProductoObtener']['ProductoLote']!='-') echo $_SESSION['operacion']['ProductoObtener']['ProductoLote']; ?>" <?php if($bloquearLote) { ?>readonly="readonly"<?php } ?>/>
                    <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x campoOrdenPreparacionBorrar" id="borrarLote" style="margin-bottom:-15px;margin-left:-50px;"/>                </div>                </td>
			</tr>
            
            <?php } ?>
            
            <?php if($gestionCaducidad) { ?>
            
            <tr>
				<td>Caducidad:</td>   
				<td>
                <div class="campoOrdenPreparacionBloque" style="width:360px;margin-left:70px;">
                    <input name="caducidad" type="text" class="campo campoOrdenPreparacion <?php if($bloquearCaducidad) { ?>deshabilitado<?php } ?>" id="caducidad" size="24" autocomplete="off" style="width:300px;left:0" value="<?php if($caducidad) echo fechaNacional(fechaDesdeProxium($caducidad)); else if($_SESSION['operacion']['ProductoObtener']['ProductoCaducidad'] && $_SESSION['operacion']['ProductoObtener']['ProductoCaducidad']!='-') echo formateaTipo($_SESSION['operacion']['ProductoObtener']['ProductoCaducidad'],'F'); ?>" <?php if($bloquearCaducidad) { ?>readonly<?php } ?>/>
                    <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x campoOrdenPreparacionBorrar" id="borrarLote" style="margin-bottom:-15px;margin-left:-50px;"/>                </div>                </td>
			</tr>
            
            <?php } ?>
           
             <tr>
				<td>Cantidad:</td>   
				<td>
                <div class="campoOrdenPreparacionBloque" style="width:360px;margin-left:70px;">
                    <input name="cantidadFinal" type="text" class="campo cantidad campoOrdenPreparacion guardarValorSesion" id="cantidadFinal" size="24" autocomplete="off" style="width:300px;left:0" value="<?php if(isset($cantidadFinal) && $cantidadFinal) echo $cantidadFinal; else if(isset($_SESSION['operacion']['datosPantalla']['cantidadFinal']) && $_SESSION['operacion']['datosPantalla']['cantidadFinal']) echo $_SESSION['operacion']['datosPantalla']['cantidadFinal']; ?>"/>
                    <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x campoOrdenPreparacionBorrar" id="borrarCantidad" style="margin-bottom:-15px;margin-left:-50px;"/>                </div>                </td>
			</tr>
            
             <tr>
               <td>Palet destino:</td>
               <td><div class="campoOrdenPreparacionBloque" style="width:360px;margin-left:70px;"> <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladopaletDestino" />
                       <input name="paletDestino" type="text" class="campo campoOrdenPreparacion guardarValorSesion" id="paletDestino" autocomplete="off" style="width:300px;left:0" value="<?php if(isset($paletDestino) && $paletDestino) echo $paletDestino; else if(isset($_SESSION['operacion']['datosPantalla']['paletDestino']) && $_SESSION['operacion']['datosPantalla']['paletDestino']) echo $_SESSION['operacion']['datosPantalla']['paletDestino']; ?>"/>
                 <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarPaletDestino" class="boton-x campoOrdenPreparacionBorrar"/> </div></td>
             </tr>
             
             <?php if($asociarSSCC) { ?>
             
              <tr>
               <td>SSCC:</td>
               <td><div class="campoOrdenPreparacionBloque" style="width:360px;margin-left:70px;"> <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoSSCC" />
                           <input name="SSCC" type="text" class="campo campoOrdenPreparacion guardarValorSesion" id="SSCC" autocomplete="off" style="width:300px;left:0" value="<?php if(isset($lineaPalet['SSCC']) && $lineaPalet['SSCC']) echo $lineaPalet['SSCC']; else if(isset($_SESSION['operacion']['datosPantalla']['SSCC']) && $_SESSION['operacion']['datosPantalla']['SSCC']) echo $_SESSION['operacion']['datosPantalla']['SSCC']; ?>"/>
                     <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarSSCC" class="boton-x campoOrdenPreparacionBorrar"/> </div></td>
             </tr>
             
             <?php } ?>
             
             <tr>
               <td>&nbsp;</td>
               <td><input type="checkbox" name="cierrePalet" id="cierrePalet" class="checkGrande guardarValorSesion" style="vertical-align:middle;margin-left:70px;" <?php if( (isset($cierrePalet) && $cierrePalet=='S') || (isset($_SESSION['operacion']['datosPantalla']['cierrePalet']) && $_SESSION['operacion']['datosPantalla']['cierrePalet']=='S') ) { ?>checked<?php } ?>/>
                 Cerrar palet</td>
             </tr>
             
             <?php if($gestionDefectuosos) { ?>
             
             <tr>
               <td>Palet destino defectuosos:</td>
               <td><div class="campoOrdenPreparacionBloque" style="width:360px;margin-left:70px;"> <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladopaletDestinoDefectuosos" />
                       <input name="paletDestinoDefectuosos" type="text" class="campo campoOrdenPreparacion guardarValorSesion" id="paletDestinoDefectuosos" autocomplete="off" style="width:300px;left:0" value="<?php if(isset($paletDestinoDefectuosos) && $paletDestinoDefectuosos) echo $paletDestinoDefectuosos; else if(isset($_SESSION['operacion']['datosPantalla']['paletDestinoDefectuosos']) && $_SESSION['operacion']['datosPantalla']['paletDestinoDefectuosos']) echo $_SESSION['operacion']['datosPantalla']['paletDestinoDefectuosos']; ?>"/>
                 <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarPaletDestinoDefectuosos" class="boton-x campoOrdenPreparacionBorrar"/> </div></td>
             </tr>
             
             <?php } ?>
             
	</table>
    
<p><strong>Productos utilizados:</strong></p>
	
    <!--<table class="tablaFormateada2022 anchoMaximo" style="margin:0 auto">-->
	<table class="tablaFormateada anchoMaximo noColorearAlternos" style="margin:0 auto">
    
    	 <?php
        $mostrarRegimen=false;
		foreach($_SESSION['operacion']['ProductosUtilizar'] as $item) if($item['ProductoGestionRegimen']=='S') $mostrarRegimen=true;
		?>
    
		<tr>
        	<?php if($mostrarGestion) { ?>
        	<th>Gestión</th>
            <?php } ?>
            
			<th>Código</th>
			<th>Descripción</th>
            
            <?php if($mostrarRegimen) { ?>
        	<th>Régimen</th>
            <?php } ?>
            
			<th>Cant. unitaria</th>
            <th class="columnaAjustadaPadding">Utilizar</th> 
			<th>Palet</th>
            <th>Lote / Caducidad</th>
            <th>Stock</th>
            <th class="columnaAjustadaPadding">Utilizado</th> 
            
            <?php if($gestionDefectuosos) { ?>
            <th class="columnaAjustadaPadding">Defectuoso</th> 
            <?php } ?>
            
		</tr>
        
        <?php $impar=false; ?>
        <?php $contadorProductos=1; ?>
        
        <?php if(is_array($_SESSION['operacion']['ProductosUtilizar'])) $cuantosProductos=count($_SESSION['operacion']['ProductosUtilizar']); else $cuantosProductos=0; ?>
        
       <?php foreach($_SESSION['operacion']['ProductosUtilizar'] as $item) { ?>
        
		<?php 
			
			$contador=0; 
			
			$sumaStock=0;
			
			$cuantosPalets=0;
			$cuantosPaletsCombinaciones=0;
			$productoPalets=array();
			foreach(arreglaArrayPXMobileProxiumResult($item['ProductoPalets']) as $item2) {
				
				$paletCombinaciones=array();
				
				foreach(arreglaArrayPXMobileProxiumResult($item2['PaletLotes']) as $item3) {
					$paletCombinaciones[]=$item3;
					$cuantosPaletsCombinaciones++;
					
					$sumaStock+=$item3['PaletProductoStock'];
				}
				
				$item2['paletCombinaciones']=$paletCombinaciones;
				
				$productoPalets[]=$item2;
				$cuantosPalets++;
				
			}
			
			if($cuantosPaletsCombinaciones>1) $cuantasFilas=$cuantosPaletsCombinaciones;
			else if($cuantosPalets>1) $cuantasFilas=$cuantosPalets; 
			else $cuantasFilas=1;
			
			if($cuantasFilas>1) $rowspanUno='rowspan="'.$cuantasFilas.'"';
			else $rowspanUno='';
			
			//3-10-204
			$noPermitirDefectuoso=($item['ProductoRegimen']!='GRAL');
			$noPermitirMezclarLotesNiCaducidades=($item['ProductoRegimen']!='GRAL');
			
			?>
            <tr class="<?php if($impar) {?>coloreado<?php } ?> <?php if($cuantosProductos==$contadorProductos) { ?>ultimaFila<?php } ?>">
            
            	<?php if($mostrarGestion) { ?>
                <td valign="middle" <?php echo $rowspanUno; ?>><?php echo $item['ProductoGestion']; ?></td>
                <?php } ?>
            
				<td valign="middle" <?php echo $rowspanUno; ?> class="productoCodigo" regimen="<?php echo $item['ProductoRegimen']; ?>" codigo="<?php echo limpiaCodigo($item['ProductoCodigo']); ?>" cantidadUnitaria="<?php echo $item['ProductoCantidadUnitaria']; ?>"><?php echo $item['ProductoCodigo']; ?></td>
                <td valign="middle" <?php echo $rowspanUno; ?>><?php echo $item['ProductoDescripcion']; ?></td>
                
                
                 <?php if($mostrarRegimen) { ?>
                <td valign="middle" <?php echo $rowspanUno; ?>><?php echo $item['ProductoRegimen']; ?></td>
                <?php } ?>
                
                <td valign="middle" <?php echo $rowspanUno; ?>><?php echo formateaNumeroDecimal($item['ProductoCantidadUnitaria'],true,4); ?></td>
                
                <td <?php echo $rowspanUno; ?> class="columnaAjustadaPadding">
                <div class="campoAjustadoBloque">
                	<?php $nombreCampo='cantidadSuma¬'.limpiaCodigo($item['ProductoCodigo']); ?>
					<input name="<?php echo $nombreCampo; ?>" type="text" class="campo cantidad cantidadSuma campoAjustado guardarValorSesion" id="<?php echo $nombreCampo; ?>" size="12" autocomplete="off"  cantidadUnitaria="<?php echo $item['ProductoCantidadUnitaria']; ?>" value="<?php if(isset($cantidades[$item['ProductoCodigo']]['cantidadSuma']) && $cantidades[$item['ProductoCodigo']]['cantidadSuma']) echo $cantidades[$item['ProductoCodigo']]['cantidadSuma']; else if(isset($_SESSION['operacion']['datosPantalla'][$nombreCampo]) && $_SESSION['operacion']['datosPantalla'][$nombreCampo]) echo $_SESSION['operacion']['datosPantalla'][$nombreCampo]; ?>"/>
					<img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarCantidad" style="margin-bottom:-15px;margin-left:-50px;"/>
                </div>
                
                <?php $nombreCampo='cantidadSumaOriginal¬'.limpiaCodigo($item['ProductoCodigo']); ?>
                <input name="<?php echo $nombreCampo; ?>" type="hidden" id="<?php echo $nombreCampo; ?>" class="cantidadSumaOriginal guardarValorSesion" value="<?php if(isset($_SESSION['operacion']['datosPantalla'][$nombreCampo]) && $_SESSION['operacion']['datosPantalla'][$nombreCampo]) echo $_SESSION['operacion']['datosPantalla'][$nombreCampo]; ?>"/>
                <?php $nombreCampo='cantidadSumaStock¬'.limpiaCodigo($item['ProductoCodigo']); ?>
                <input name="<?php echo $nombreCampo; ?>" type="hidden" class="cantidadSumaStock guardarValorSesion" id="<?php echo $nombreCampo; ?>" value="<?php if(isset($sumaStock) && $sumaStock) echo $sumaStock; else if(isset($_SESSION['operacion']['datosPantalla'][$nombreCampo]) && $_SESSION['operacion']['datosPantalla'][$nombreCampo]) echo $_SESSION['operacion']['datosPantalla'][$nombreCampo]; ?>"/>
                
                <?php $contadorProductos++; ?>
                
                </td>
                
        		<?php
				if(is_array($productoPalets[0]['paletCombinaciones'])) $cuantasCombinaciones=count($productoPalets[0]['paletCombinaciones']); else $cuantasCombinaciones=1;
				if($cuantasCombinaciones>1) $rowspanDos='rowspan="'.$cuantasCombinaciones.'"';
				else $rowspanDos='';
				?> 
                <td valign="middle" <?php echo $rowspanDos; ?>><?php echo $productoPalets[0]['PaletNumero']; ?></td>
                
                <td valign="middle"><?php echo $productoPalets[0]['paletCombinaciones'][0]['PaletProductoLote']; ?> / <?php echo fechaNacionalDesdeProxiumGuiones($productoPalets[0]['paletCombinaciones'][0]['PaletProductoCaducidad']); ?></td>
                <td valign="right"><?php echo formateaNumeroDecimal($productoPalets[0]['paletCombinaciones'][0]['PaletProductoStock'],true,2); ?></td>
                
                <td class="columnaAjustadaPadding">
                <div class="campoAjustadoBloque">
                  <?php $nombreCampo='cantidad¬'.limpiaCodigo($item['ProductoCodigo']).'¬'.$contador; ?>
                  <input name="<?php echo $nombreCampo; ?>" type="text" class="campo cantidad cantidadUnitaria campoAjustado guardarValorSesion" id="<?php echo $nombreCampo; ?>" size="12" autocomplete="off"  cantidadUnitaria="<?php echo $item['ProductoCantidadUnitaria']; ?>" regimen="<?php echo $item['ProductoRegimen']; ?>" lote="<?php echo $productoPalets[0]['paletCombinaciones'][0]['PaletProductoLote']; ?>" caducidad="<?php echo $productoPalets[0]['paletCombinaciones'][0]['PaletProductoCaducidad']; ?>" stock="<?php echo $productoPalets[0]['paletCombinaciones'][0]['PaletProductoStock']; ?>" paletOrden="<?php echo $productoPalets[0]['PaletOrden']; ?>" value="<?php if(isset($cantidades[$item['ProductoCodigo']]['cantidad'][$contador]) && $cantidades[$item['ProductoCodigo']]['cantidad'][$contador]) echo $cantidades[$item['ProductoCodigo']]['cantidad'][$contador]; else if(isset($_SESSION['operacion']['datosPantalla'][$nombreCampo]) && $_SESSION['operacion']['datosPantalla'][$nombreCampo]) echo $_SESSION['operacion']['datosPantalla'][$nombreCampo]; ?>"/>
                    <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarCantidad" style="margin-bottom:-15px;margin-left:-50px;"/>
                </div>
                </td>
                
                <?php if($gestionDefectuosos) { ?>
                <td class="columnaAjustadaPadding">
                <div class="campoAjustadoBloque">
                  <?php $nombreCampo='cantidadDefectuosa¬'.limpiaCodigo($item['ProductoCodigo']).'¬'.$contador; ?>
                  <input name="<?php echo $nombreCampo; ?>" type="text" class="campo cantidad cantidadUnitariaDefectuosa campoAjustado <?php if($noPermitirDefectuoso) { ?>deshabilitado<?php } ?> guardarValorSesion" id="<?php echo $nombreCampo; ?>" size="12" autocomplete="off"  stock="<?php echo $productoPalets[0]['paletCombinaciones'][0]['PaletProductoStock']; ?>" value="<?php if(isset($cantidades[$item['ProductoCodigo']]['cantidadDefectuosa'][$contador]) && $cantidades[$item['ProductoCodigo']]['cantidadDefectuosa'][$contador]) echo $cantidades[$item['ProductoCodigo']]['cantidadDefectuosa'][$contador]; else if(isset($_SESSION['operacion']['datosPantalla'][$nombreCampo]) && $_SESSION['operacion']['datosPantalla'][$nombreCampo]) echo $_SESSION['operacion']['datosPantalla'][$nombreCampo]; ?>" <?php if($noPermitirDefectuoso) { ?>readonly="readonly"<?php } ?>)/>
                    <?php if(!$noPermitirDefectuoso) { ?><img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarCantidad" style="margin-bottom:-15px;margin-left:-50px;"/><?php } ?>
                </div>
                </td>
                <?php } ?>
                
                <?php $contador++; ?>
                
      </tr>
            
            
            
            <?php if($cuantasCombinaciones>1 ) { ?>
                    
            	<?php for($j=1;$j<$cuantasCombinaciones;$j++) { ?>
                        
                	<tr class="<?php if($impar) {?>coloreado<?php } ?>">
                    	<td valign="middle" class="noEsUltima"><?php echo $productoPalets[0]['paletCombinaciones'][$j]['PaletProductoLote']; ?> / <?php echo fechaNacionalDesdeProxiumGuiones($productoPalets[0]['paletCombinaciones'][$j]['PaletProductoCaducidad']); ?></td>
                		<td valign="right"><?php echo $productoPalets[0]['paletCombinaciones'][$j]['PaletProductoStock']; ?></td>
                        <td class="columnaAjustadaPadding">
                        <div class="campoAjustadoBloque">
                          <?php $nombreCampo='cantidad¬'.limpiaCodigo($item['ProductoCodigo']).'¬'.$contador; ?>
                          <input name="<?php echo $nombreCampo; ?>" type="text" class="campo cantidad cantidadUnitaria campoAjustado guardarValorSesion" id="<?php echo $nombreCampo; ?>" size="12" autocomplete="off"  cantidadUnitaria="<?php echo $item['ProductoCantidadUnitaria']; ?>" regimen="<?php echo $item['ProductoRegimen']; ?>" lote="<?php echo $productoPalets[0]['paletCombinaciones'][$j]['PaletProductoLote']; ?>" caducidad="<?php echo $productoPalets[0]['paletCombinaciones'][$j]['PaletProductoCaducidad']; ?>" stock="<?php echo $productoPalets[0]['paletCombinaciones'][$j]['PaletProductoStock']; ?>" paletOrden="<?php echo $productoPalets[0]['PaletOrden']; ?>" value="<?php if(isset($cantidades[$item['ProductoCodigo']]['cantidad'][$contador]) && $cantidades[$item['ProductoCodigo']]['cantidad'][$contador]) echo $cantidades[$item['ProductoCodigo']]['cantidad'][$contador]; else if(isset($_SESSION['operacion']['datosPantalla'][$nombreCampo]) && $_SESSION['operacion']['datosPantalla'][$nombreCampo]) echo $_SESSION['operacion']['datosPantalla'][$nombreCampo]; ?>"/>
                            <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarCantidad" style="margin-bottom:-15px;margin-left:-50px;"/>
                        </div>
                        </td>
                        
                        <?php if($gestionDefectuosos) { ?>
                        <td class="columnaAjustadaPadding">
                        <div class="campoAjustadoBloque">
                          <?php $nombreCampo='cantidadDefectuosa¬'.limpiaCodigo($item['ProductoCodigo']).'¬'.$contador; ?>
                          <input name="<?php echo $nombreCampo; ?>" type="text" class="campo cantidad cantidadUnitariaDefectuosa campoAjustado <?php if($noPermitirDefectuoso) { ?>deshabilitado<?php } ?> guardarValorSesion" id="<?php echo $nombreCampo; ?>" size="12" autocomplete="off"  stock="<?php echo $productoPalets[0]['paletCombinaciones'][$j]['PaletProductoStock']; ?>" value="<?php if(isset($cantidades[$item['ProductoCodigo']]['cantidadDefectuosa'][$contador]) && $cantidades[$item['ProductoCodigo']]['cantidadDefectuosa'][$contador]) echo $cantidades[$item['ProductoCodigo']]['cantidadDefectuosa'][$contador]; else if(isset($_SESSION['operacion']['datosPantalla'][$nombreCampo]) && $_SESSION['operacion']['datosPantalla'][$nombreCampo]) echo $_SESSION['operacion']['datosPantalla'][$nombreCampo]; ?>" <?php if($noPermitirDefectuoso) { ?>readonly="readonly"<?php } ?>/>
                            <?php if(!$noPermitirDefectuoso) { ?><img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarCantidad" style="margin-bottom:-15px;margin-left:-50px;"/><?php } ?>
                        </div>
                        </td>
                        <?php } ?>
                        
                        <?php $contador++; ?>
                        
					</tr>
                    
<?php } ?>
                        
            <?php } ?>
            
            <?php if($cuantosPalets>1) { ?>
            
            	<?php for($i=1;$i<$cuantosPalets;$i++) { ?>
                
                	<tr class="<?php if($impar) {?>coloreado<?php } ?>">
                    	<?php
						if(is_array($productoPalets[$i]['paletCombinaciones'])) $cuantasCombinaciones=count($productoPalets[$i]['paletCombinaciones']); else $cuantasCombinaciones=1;
						if($cuantasCombinaciones>1) $rowspanDos='rowspan="'.$cuantasCombinaciones.'"';
						else $rowspanDos='';
						?>
                        <td valign="middle" <?php echo $rowspanDos; ?> class="noEsUltima"><?php echo $productoPalets[$i]['PaletNumero']; ?></td>
                        
                        <td valign="middle"><?php echo $productoPalets[$i]['paletCombinaciones'][0]['PaletProductoLote']; ?> / <?php echo fechaNacionalDesdeProxiumGuiones($productoPalets[$i]['paletCombinaciones'][0]['PaletProductoCaducidad']); ?></td>
                		<td valign="right"><?php echo $productoPalets[$i]['paletCombinaciones'][0]['PaletProductoStock']; ?></td>
                        
                        <td class="columnaAjustadaPadding">
                        <div class="campoAjustadoBloque">
                          <?php $nombreCampo='cantidad¬'.limpiaCodigo($item['ProductoCodigo']).'¬'.$contador; ?>
                          <input name="<?php echo $nombreCampo; ?>" type="text" class="campo cantidad cantidadUnitaria campoAjustado guardarValorSesion" id="<?php echo $nombreCampo; ?>" size="12" autocomplete="off"  cantidadUnitaria="<?php echo $item['ProductoCantidadUnitaria']; ?>" regimen="<?php echo $item['ProductoRegimen']; ?>" lote="<?php echo $productoPalets[$i]['paletCombinaciones'][0]['PaletProductoLote']; ?>" caducidad="<?php echo $productoPalets[$i]['paletCombinaciones'][0]['PaletProductoCaducidad']; ?>" stock="<?php echo $productoPalets[$i]['paletCombinaciones'][0]['PaletProductoStock']; ?>" paletOrden="<?php echo $productoPalets[$i]['PaletOrden']; ?>" value="<?php if(isset($cantidades[$item['ProductoCodigo']]['cantidad'][$contador]) && $cantidades[$item['ProductoCodigo']]['cantidad'][$contador]) echo $cantidades[$item['ProductoCodigo']]['cantidad'][$contador]; else if(isset($_SESSION['operacion']['datosPantalla'][$nombreCampo]) && $_SESSION['operacion']['datosPantalla'][$nombreCampo]) echo $_SESSION['operacion']['datosPantalla'][$nombreCampo]; ?>"/>
                            <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarCantidad" style="margin-bottom:-15px;margin-left:-50px;"/>
                        </div>
                        </td>
                        
                        <?php if($gestionDefectuosos) { ?>
                        <td class="columnaAjustadaPadding">
                        <div class="campoAjustadoBloque">
                          <?php $nombreCampo='cantidadDefectuosa¬'.limpiaCodigo($item['ProductoCodigo']).'¬'.$contador; ?>
                          <input name="<?php echo $nombreCampo; ?>" type="text" class="campo cantidad cantidadUnitariaDefectuosa campoAjustado <?php if($noPermitirDefectuoso) { ?>deshabilitado<?php } ?> guardarValorSesion" id="<?php echo $nombreCampo; ?>" size="12" autocomplete="off"  stock="<?php echo $productoPalets[$i]['paletCombinaciones'][0]['PaletProductoStock']; ?>" value="<?php if(isset($cantidades[$item['ProductoCodigo']]['cantidadDefectuosa'][$contador]) && $cantidades[$item['ProductoCodigo']]['cantidadDefectuosa'][$contador]) echo $cantidades[$item['ProductoCodigo']]['cantidadDefectuosa'][$contador]; else if(isset($_SESSION['operacion']['datosPantalla'][$nombreCampo]) && $_SESSION['operacion']['datosPantalla'][$nombreCampo]) echo $_SESSION['operacion']['datosPantalla'][$nombreCampo]; ?>" <?php if($noPermitirDefectuoso) { ?>readonly="readonly"<?php } ?>/>
                            <?php if(!$noPermitirDefectuoso) { ?><img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarCantidad" style="margin-bottom:-15px;margin-left:-50px;"/><?php } ?>
                        </div>
                        </td>
                        <?php } ?>
                        
                        <?php $contador++; ?>
                        
      </tr>
                    
                    
                    
<?php if(is_array($productoPalets[$i]['paletCombinaciones'])) $cuantasCombinaciones=count($productoPalets[$i]['paletCombinaciones']); else $cuantasCombinaciones=1;?>
                    
                    <?php if($cuantasCombinaciones>1 ) { ?>
                    
                    	<?php for($j=1;$j<$cuantasCombinaciones;$j++) { ?>
                        
                        	<tr class="<?php if($impar) {?>coloreado<?php } ?>">
                            	<td valign="middle" class="noEsUltima"><?php echo $productoPalets[$i]['paletCombinaciones'][$j]['PaletProductoLote']; ?> / <?php echo fechaNacionalDesdeProxiumGuiones($productoPalets[$i]['paletCombinaciones'][$j]['PaletProductoCaducidad']); ?></td>
                				<td valign="right"><?php echo $productoPalets[$i]['paletCombinaciones'][$j]['PaletProductoStock']; ?></td>
                                
                                <td class="columnaAjustadaPadding">
                                <div class="campoAjustadoBloque">
                                  <?php $nombreCampo='cantidad¬'.limpiaCodigo($item['ProductoCodigo']).'¬'.$contador; ?>
                                  <input name="<?php echo $nombreCampo ?>" type="text" class="campo cantidad cantidadUnitaria campoAjustado guardarValorSesion" id="<?php echo $nombreCampo ?>" size="12" autocomplete="off"  cantidadUnitaria="<?php echo $item['ProductoCantidadUnitaria']; ?>" regimen="<?php echo $item['ProductoRegimen']; ?>" lote="<?php echo $productoPalets[$i]['paletCombinaciones'][$j]['PaletProductoLote']; ?>" caducidad="<?php echo $productoPalets[$i]['paletCombinaciones'][$j]['PaletProductoCaducidad']; ?>" stock="<?php echo $productoPalets[$i]['paletCombinaciones'][$j]['PaletProductoStock']; ?>" paletOrden="<?php echo $productoPalets[$i]['PaletOrden']; ?>" value="<?php if(isset($cantidades[$item['ProductoCodigo']]['cantidad'][$contador]) && $cantidades[$item['ProductoCodigo']]['cantidad'][$contador]) echo $cantidades[$item['ProductoCodigo']]['cantidad'][$contador]; else if(isset($_SESSION['operacion']['datosPantalla'][$nombreCampo]) && $_SESSION['operacion']['datosPantalla'][$nombreCampo]) echo $_SESSION['operacion']['datosPantalla'][$nombreCampo]; ?>"/>
                                    <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarCantidad" style="margin-bottom:-15px;margin-left:-50px;"/>
                                </div>
                                </td>
                                
                                <?php if($gestionDefectuosos) { ?>
                                <td class="columnaAjustadaPadding">
                                <div class="campoAjustadoBloque">
                                  <?php $nombreCampo='cantidadDefectuosa¬'.limpiaCodigo($item['ProductoCodigo']).'¬'.$contador; ?>
                                  <input name="<?php echo $nombreCampo; ?>" type="text" class="campo cantidad cantidadUnitariaDefectuosa campoAjustado <?php if($noPermitirDefectuoso) { ?>deshabilitado<?php } ?> guardarValorSesion" id="<?php echo $nombreCampo; ?>" size="12" autocomplete="off"  stock="<?php echo $productoPalets[$i]['paletCombinaciones'][$j]['PaletProductoStock']; ?>" value="<?php if(isset($cantidades[$item['ProductoCodigo']]['cantidadDefectuosa'][$contador]) && $cantidades[$item['ProductoCodigo']]['cantidadDefectuosa'][$contador]) echo $cantidades[$item['ProductoCodigo']]['cantidadDefectuosa'][$contador]; else if(isset($_SESSION['operacion']['datosPantalla'][$nombreCampo]) && $_SESSION['operacion']['datosPantalla'][$nombreCampo]) echo $_SESSION['operacion']['datosPantalla'][$nombreCampo]; ?>" <?php if($noPermitirDefectuoso) { ?>readonly="readonly"<?php } ?>/>
                                    <?php if(!$noPermitirDefectuoso) { ?><img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarCantidad" style="margin-bottom:-15px;margin-left:-50px;"/><?php } ?>
                                </div>
                                </td>
                                <?php } ?>
                                
                                <?php $contador++; ?>
                                
                              </tr>
                                                    
                        <?php } ?>
                        
                    <?php } ?>
                
                <?php } ?>
            
            <?php } ?>
            
            <?php $impar=!$impar; ?>

		<?php } ?>
        
	</table>
    
    
    <?php
	
	/////// 18-12-2025 FICHAJES
	
	if($FichajesActivodEnTransformacion) {
	
		$peticion='ListaDeOperariosFichajes#'.$_SESSION['empresa'];
		$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
			
		if($traza) {
			echo "<p>".$peticion."</p>";
			print_r($resultado);
		}
		
		$operarios=arreglaArrayPXMobileProxiumResult($resultado[0]['ListaOperarios']);
		
		if(count($operarios)>0) {
		
			?>
            <p id="bloqueFichajes" style="margin-top:40px"><strong>OPERARIOS EN FICHAJE DESPUÉS DE ESTE CIERRE:</strong></p>
            
			<p><label><input name="cierreSinCantidad" id="cierreSinCantidad" type="checkbox" value="" class="checkGrande" style="vertical-align:middle"/> 
			Cambiar fichaje sin cerrar cantidad</label>
			</p>
        
            <div id="popupFichajes" class="popup" style="display:none"></div>
            <div id="popupFichajesContenido" class="popupContenidoScroll" style="display:none"></div>
        

            
            <table class="tablaFormateada">
                <tr>
                	<th>Continúa</th>
                    <th>Nombre</th>
                    <th>Empresa</th>
                    <th>Multifichaje</th>
                    <th>Fichaje</th>
                </tr>
                
                <?php
				
				$tieneCadenaOperariosFinal=(isset($cadenaOperariosFinal) && $cadenaOperariosFinal && $accion='guardar');
				
				if($tieneCadenaOperariosFinal) $cadenaOperariosFinalArray=explode(';',$cadenaOperariosFinal);
				

				
				$cadenaOperariosInicial='';
				
		
				foreach($operarios as $operario) {
				
										
					$estaEnCadenaOperariosFinal=($tieneCadenaOperariosFinal && in_array($operario['CodigoUsuario'],$cadenaOperariosFinalArray));
					
					//print_r($operario);
					//echo '<p>estaEnCadenaOperariosFinal: '.$estaEnCadenaOperariosFinal.'</p>';
					

				
					$listaFichajes=array();
					
					if(isset($operario['ListaFichajes']) && $operario['ListaFichajes'] ) {
						$listaFichajes=arreglaArrayPXMobileProxiumResult($operario['ListaFichajes']);
						$listaFichajesCodificada=base64_encode(json_encode($listaFichajes));
					}
					else {
						$listaFichajesCodificada=NULL;
					}
				
					$tieneActividadSeleccionadaEnCurso=false;
					
					foreach($listaFichajes as $fichaje) {
					
						if(!$tieneActividadSeleccionadaEnCurso) {
					
							$tieneActividadSeleccionadaEnCurso=($fichaje['TipoOperacionFichaje']=='TRAN' && $fichaje['ActividadFichaje']=='PROD' && $fichaje['numeroOperacion']==$_SESSION['operacion']['NumOperacion']);
							
							if(!$proceso) {
								 //Si no hay proceso, es que es consulta dentro de una transformacion (no generico), entonces la coincidencia debe ser absoluta
								 if($gestionTurnos) $tieneActividadSeleccionadaEnCurso=($tieneActividadSeleccionadaEnCurso && $fichaje['TurnoFichaje']==$_SESSION['transformacion_turnoTrabajo_seleccionado']);
								 if($gestionLineas) $tieneActividadSeleccionadaEnCurso=($tieneActividadSeleccionadaEnCurso && $fichaje['LineaFichaje']==$_SESSION['transformacion_lineaTrabajo_seleccionada']);
							}
							
						}
					
					} //Fin por cada fichaje
					
					//echo '<p>tieneActividadSeleccionadaEnCurso: '.$tieneActividadSeleccionadaEnCurso.'</p>';
					//echo '<hr>';
					
					if($tieneActividadSeleccionadaEnCurso || $estaEnCadenaOperariosFinal) {
					
						if($tieneActividadSeleccionadaEnCurso) {
							if($cadenaOperariosInicial!='') $cadenaOperariosInicial.=';';
							$cadenaOperariosInicial.=$operario['CodigoUsuario'];
						}
						
						$checkeado=(($tieneCadenaOperariosFinal && $estaEnCadenaOperariosFinal) || !$tieneCadenaOperariosFinal);
					
						?>
            
                        <tr class="lineaOrden" codigoUsuario="<?php echo $operario['CodigoUsuario']; ?>" nombreUsuario="<?php echo $operario['NombreCompleto']; ?>" empresa="<?php echo $operario['NombreEmpresaContratante']; ?>" tipoRelacion="<?php echo $operario['TipoDeRelacion']; ?>" multifichaje="<?php echo $operario['MultiFichaje']; ?>" operarioDisponible="<?php echo $operarioDisponible; ?>" estadoActual="<?php echo $operario['EstadoActual']; ?>" style="font-size:1.2em;" >
                            <td><input name="selector-<?php echo $operario['CodigoUsuario']; ?>" id="selector-<?php echo $operario['CodigoUsuario']; ?>" type="checkbox" value="1" class="checkGrande selectorOperario" <?php if($checkeado) { ?>checked<?php } ?>/></td>
                            <td style="text-align:left"><?php echo $operario['NombreCompleto']; ?></td>
                            <td><?php echo $operario['NombreEmpresaContratante']; ?></td>
                            <td><?php if($operario['MultiFichaje']=='S') { ?><img src="img_nx/ok.png" style="width:35px" /><?php } ?></td>
                            <td><img src="img_nx/reloj.png" width="35" height="35" class="verFichajes clicable" operario="<?php echo $operario['NombreCompleto']; ?>" fichajes="<?php if($listaFichajesCodificada) echo $listaFichajesCodificada; ?>"/></td>
                        </tr>
                        
                    	<?php
					
                    } //Fin si está fichado aquí
					
				} //Fin foreach cada operario
				
				?>
               
        	</table>
            
            <input type="hidden" name="cadenaOperariosInicial" id="cadenaOperariosInicial" value="<?php echo $cadenaOperariosInicial; ?>" />
            <input type="hidden" name="cadenaOperariosFinal" id="cadenaOperariosFinal" value="<?php if($cadenaOperariosFinal) echo $cadenaOperariosFinal; else echo $cadenaOperariosInicial; ?>" />
            
            <p><input type="button" name="botonOperarios" id="botonOperarios" value="Seleccionar otros operarios" class="boton"/></p>
            
        <?php
        
		} //Fin si hay operarios
		
	} //Fin si tiene gestion de fichajes en transf
	
	?>
    
    <input type="hidden" name="enviar" id="enviar" value="0" />
    
	<!--<p><input type="button" name="botonConfirmar" id="botonConfirmar" value="CONFIRMAR CIERRE" class="boton"/></p>-->
    
    </form>
    
    
<script>
	
		$(document).ready(function() {
		
			<?php if($FichajesActivodEnTransformacion) { ?>
		
			$('.verFichajes').on('click',function(){
		
				$('#popupCargando').show();
				
				let operario=$(this).attr('operario');
				let fichajes=$(this).attr('fichajes');
			
				$.post('<?php echo $rutaHtml; ?>/contenidos/fichajes.php' , { 'operario' : operario , 'fichajes' : fichajes })
				.done(function(data) {
				
					$('#popupCargando').hide();
				
					$('#popupFichajesContenido').html(data);
					$('#popupFichajes').show();
					$('#popupFichajesContenido').show();
					
					var posicion=$(document).scrollTop();
					$('#popupFichajesContenido').offset({ top: posicion+20 });
				});
				
			});
			
			$(document).on('click','#botonCerrarFichajes',function(){
				
				$('#popupFichajesContenido').html();
				$('#popupFichajes').hide();
				$('#popupFichajesContenido').hide();
			
			});
			
			$('#botonOperarios').on('click',function(){
			
				$('#popupCargando').show();
				
				let enlace='';
				enlace+='fichajes-operarios.php?procedencia=transformacionCierre&actividad=PROD&tipoOperacion=TRAN&operacion=<?php echo $_SESSION['operacion']['NumOperacion']; ?>&turno=<?php echo $_SESSION['transformacion_turnoTrabajo_seleccionado']; ?>&linea=<?php echo $_SESSION['transformacion_lineaTrabajo_seleccionada']; ?>&turnoNombre=<?php echo $_SESSION['transformacion_turnoTrabajo_seleccionado_nombre']; ?>&lineaNombre=<?php echo $_SESSION['transformacion_lineaTrabajo_seleccionada_nombre']; ?>';
				enlace+='&proceso=CONTINUACION';
				enlace+='&operarios='+$('#cadenaOperariosFinal').val();
				
				window.location=enlace;
				
			});
			
			$('.selectorOperario').on('change',function(){
			
				let cadenaOperarios='';
			
				$('.selectorOperario').each(function(){
					
					const temp=$(this).attr('id').split('selector-');
					const codigoUsuario=temp[1];
					
					if($(this).is(':checked')) {
						if(cadenaOperarios!='') cadenaOperarios+=';';
						cadenaOperarios+=codigoUsuario;
					}
						
				});
				
				$('#cadenaOperariosFinal').val(cadenaOperarios);
			
			});
			
			<?php }?>
		
			$('.iconoTeclado').on('click',function(){
			
				if(!$(this).hasClass('deshabilitado')) {
			
					var campo=$(this).siblings('input');
					
					$('#teclado').show();
					$('#valor').val( campo.val() );
					$('#valorOculto').val( campo.val() );
					$('#enter').attr('campoValor',campo.attr('name'));
					//$('#enter').attr('forzarEnter','no');
					//Lo cambio a que haga enter para SSCC
					$('#enter').attr('forzarEnter','si');
					
				}
			
			});
		
			$('#caducidad').on('click',function(){
				
				if(!$(this).hasClass('deshabilitado')) {
				
					$('#calendario').show();
					$('#valorCalendario').val( $(this).val() );
					deconstruyeFecha();
					$('#enterCalendario').attr('campoValor','caducidad' );
					$('#enterCalendario').attr('forzarEnter','no');
				
				}

			});
			
			$('#lote').on('click',function(){
				
				if(!$(this).hasClass('deshabilitado')) {
				
					$('#teclado').show();
					$('#valor').val( $('#lote').val() );
					$('#valorOculto').val( $('#lote').val() );
					$('#enter').attr('campoValor','lote');
					$('#enter').attr('forzarEnter','no');
					
				}
				
			});
		
		
			function redondeo(numero) {
			
				numero=parseFloat(numero);
			
				//console.log('Se intenta redondear el numero: '+numero);
			
				var cadena=numero.toString();
				var trozos=cadena.split('.');
				if( trozos[1] && trozos[1].length >2 ) {
					var temp=numero.toFixed(2);
					var trozos=temp.split('.');
					if(trozos[1]=='000') return trozos[0];
					else return temp;
				}
				else {
					return numero;
				}
			
			}
		
		
			//Calculo de las cantidades
			$('#cantidadFinal').on('change',function(){
			
				var cantidadFinal=parseFloat($(this).val());
				
				if(cantidadFinal>0) {
				
					$('.productoCodigo').each(function(){
					
						var codigo=$(this).attr('codigo');
						var cantidadUnitaria=parseFloat($(this).attr('cantidadUnitaria'));
						
						var cantidadConstruir=cantidadUnitaria*cantidadFinal;
						var resto=cantidadConstruir;
						
						
						
						$('#cantidadSuma¬'+codigo).val( redondeo(cantidadConstruir) );
						$('#cantidadSumaOriginal¬'+codigo).val( redondeo(cantidadConstruir) );
						
						$('.cantidadUnitaria').each(function(){
						
							if(resto>0) {
						
								var id=$(this).attr('id');
								var trozos=id.split('¬');
								
								if(trozos[0]=='cantidad' && trozos[1]==codigo) { //La estrucura del id es: cantidad¬codigo¬contador 
								
									var stock=$(this).attr('stock');
									
									//console.log('linea con stock: '+stock+' y el resto es: '+resto);
									
									if(stock>=resto) {
										$(this).val( redondeo(resto) );
										resto=0;
									}
									else {
										$(this).val( redondeo(stock) );
										resto=resto-stock;
									}
								
								}
								
							}
							
						});
						
					});
						
				}
				else {
					$('.cantidadSuma').val('');
					$('.cantidadSuma').removeClass('campoError');
					$('.cantidadUnitaria').val('');
					$('.cantidadUnitaria').removeClass('campoError');
				}
				
				//19-12-2025 Triggers para que guarde los valores en las variables de sesión para conservarlos si hay salgos (fichajes)
				$('.cantidadSuma').trigger('change');
				$('.cantidadUnitaria').trigger('change');
				$('.cantidadUnitariaDefectuosa').trigger('change');
				$('.cantidadSumaOriginal').trigger('change');
				$('.cantidadSumaStock').trigger('change');
			
			});
		
			$('#botonVolver').on('click',function(){
		
				$('#popupCargando').show();
				window.location='operacion-logistica-transformacion.php';
				
			});
	
			$('.cantidad').on('click',function(){
			
				if(!$(this).hasClass('deshabilitado')) {
			
					$(this).removeClass('campoError');
					
					$('#calculadora').show();
					$('#valorCalculadora').val( $(this).val() );
					$('#enterCalculadora').attr('campoValor',$(this).attr('id'));
					$('#enterCalculadora').attr('forzarEnter','si');
				
				}
				
			});
			
			$('.boton-x').on('click',function(){
				
				var campo=$(this).siblings('input');
				campo.val('');
				campo.removeClass('campoError');
				campo.trigger('change');
				
			});
			
			$('#botonSgteProducto').on('click',function(){
			
				var hayErrorStock=false;
				var hayVacios=false;
				var estanTodosVacios=true;
				var hayErrorSuma=false;
				var hayErrorSumaInferior=false;
				
				var hayDefectuosos=false;
				var sePuedeEnviarSoloDefectuosos=true;
				
				var hayDecimales=false;

				
				var cuantosAntoControlesHay=<?php echo $cuantosAntoControlesHay; ?>;
				var cantidadPendienteTransformar=<?php echo $_SESSION['operacion']['ProductoObtener']['ProductoCantidadPendiente']; ?>;
				
				////4-10-2024
				var hayLotesMezclados=false;
				var hayCaducidadesMezcladas=false;
				var lotesDF=new Array();
				var caducidadesDF=new Array();
				
				$('.productoCodigo').each(function(){
				
					var codigo=$(this).attr('codigo');
					var regimen=$(this).attr('regimen');
					
					if(regimen!='GRAL') {
						lotesDF[codigo]=new Array();
						caducidadesDF[codigo]=new Array();
					}
					
					var cantidadSuma=parseFloat($('#cantidadSuma¬'+codigo).val());
					var cantidadSumaOriginal=parseFloat($('#cantidadSumaOriginal¬'+codigo).val());	
					var cantidadSumaStock=parseFloat($('#cantidadSumaStock¬'+codigo).val());
					
					//console.log('codigo: '+codigo+' cantidadSuma: '+cantidadSuma+' cantidadSumaStock: '+cantidadSumaStock);
					
					if( cantidadSuma==0 || isNaN(cantidadSuma)) {
						$('#cantidadSuma¬'+codigo).addClass('campoError');
						hayVacios=true;
					}
					else if( cantidadSuma > cantidadSumaStock ) {
						$('#cantidadSuma¬'+codigo).addClass('campoError');
						hayErrorStock=true;
					}
					else if( cantidadSuma < cantidadSumaOriginal ) {
						$('#cantidadSuma¬'+codigo).addClass('campoError');
						hayErrorSumaInferior=true;
					}
					else {
						estanTodosVacios=false;
						$('#cantidadSuma¬'+codigo).removeClass('campoError');
					}
					
					var cantidadUnitariaSuma=0;
					
					//Para cada linea de este producto
					$('.cantidadUnitaria').each(function(){
					
						var id=$(this).attr('id');
						var trozos=id.split('¬');
						
						if(trozos[1]==codigo) { //La estrucura del id es: cantidad¬codigo¬contador
						
							var cantidad=parseFloat($(this).val());
							var stock=parseFloat($(this).attr('stock'));
							
							var lote=$(this).attr('lote');
							var caducidad=$(this).attr('caducidad');
							
							if(cantidad && regimen!='GRAL') {
								if(!lotesDF[codigo].includes(lote)) lotesDF[codigo].push(lote);
								if(!caducidadesDF[codigo].includes(caducidad)) caducidadesDF[codigo].push(caducidad);
							}
							
							if( cantidad > stock ) {
								$(this).addClass('campoError');
								hayErrorStock=true;
							}
							else {
								$(this).removeClass('campoError');
							}
							
							if(!isNaN(cantidad)) {
							
								cantidadUnitariaSuma+=cantidad;
								
								cantidadUnitariaSuma=parseFloat(cantidadUnitariaSuma.toFixed(2)); //TAREA 25069103. No se sabe por qué, javascript añadia un monton de decimales detras, tipo 34.00000005 y luego no coincidia la comprobacion
								
								sePuedeEnviarSoloDefectuosos=false;
							}
							
							if(!isNaN(cantidad) && !Number.isInteger(cantidad)) hayDecimales=true;
						
						}
						
					});
					
					if( cantidadUnitariaSuma != cantidadSuma ) {
						$('#cantidadSuma¬'+codigo).addClass('campoError');
						hayErrorSuma=true;
					}
					
					console.log('comienza el proceso para obtener los defectuosos.');
					
					$('.cantidadUnitariaDefectuosa').each(function(){
					
						var id=$(this).attr('id');
						var trozos=id.split('¬');
						
						if(trozos[1]==codigo) { //La estrucura del id es: cantidadDefectuosa¬codigo¬contador
						
							var cantidadDefectuosa=parseFloat($(this).val());
							if(isNaN(cantidadDefectuosa)) cantidadDefectuosa=0;
							var cantidad=parseFloat($('#cantidad¬'+codigo+'¬'+trozos[2]).val());
							if(isNaN(cantidad)) cantidad=0;
							var stock=parseFloat($(this).attr('stock'));
							
							console.log('cantidadDefectuosa: '+cantidadDefectuosa);
							console.log('cantidad: '+cantidad);
							console.log('stock: '+stock);
							
							if( cantidad + cantidadDefectuosa > stock ) {
								$(this).addClass('campoError');
								hayErrorStock=true;
							}
							else {
								$(this).removeClass('campoError');
							}
							
							if(cantidadDefectuosa>0) hayDefectuosos=true;
							
							console.log('hayDefectuosos: '+hayDefectuosos);
							
							if(!Number.isInteger(cantidadDefectuosa)) hayDecimales=true;
						
						}
						
					});
					
				
				});
				
				
				
				////4-10-2024
				console.log('CONTROL DE LOTES Y CADUCIDADES EN DF');
				console.log(lotesDF);
				console.log(caducidadesDF);
				
				var hayLotesMezclados=false;
				var hayCaducidadesMezcladas=false;
				
				Object.keys(lotesDF).forEach(function(producto) {
					if(lotesDF[producto].length>1) hayLotesMezclados=true;
				});
				Object.keys(caducidadesDF).forEach(function(producto) {
					if(caducidadesDF[producto].length>1) hayCaducidadesMezcladas=true;
				});
				
				console.log('hayLotesMezclados: '+hayLotesMezclados);
				console.log('hayCaducidadesMezcladas: '+hayCaducidadesMezcladas);
				
				
				if(sePuedeEnviarSoloDefectuosos && estanTodosVacios) {
					$('.cantidadSuma').removeClass('campoError');
				}
				
				if(false) {
				}
				<?php if($FichajesActivodEnTransformacion) { ?>
				else if( $('#cadenaOperariosFinal').val()=='' ) {
					alert('ERROR: No puedes cancelar el fichaje de todos los operarios.<br>Como mínimo debes dejar uno hasta el proceso de cierre y limpieza final.',null,'error')
					.done(function(){
						mueveScrollHastaElemento( $('#cierreSinCantidad') );
					});
				}
				else if( $('#cantidadFinal').val()=='' && !$('#cierreSinCantidad').is(':checked') ) {
					alert('ERROR: Para hacer un cierre sin cantidad e informar cambios en fichaje<br>debes confirmarlo marchando la casilla "Cambiar fichaje sin cerrar cantidad".',null,'error')
					.done(function(){
						mueveScrollHastaElemento( $('#cierreSinCantidad') );
					});
				}
				<?php } ?>
				else if( $('#paletDestino').val()=='' && !sePuedeEnviarSoloDefectuosos) {
					alert('ERROR: Es necesario informar el contenedor destino de este producto.',null,'error')
					.done(function(){
						mueveScrollHastaElemento( $('#paletDestino') )
						$('#paletDestino').focus();
					});
				}
				<?php if($asociarSSCC) { ?>
				else if( $('#paletDestino').val()!='' &&  $('#cierrePalet').is(':checked') && $('#SSCC').val()=='') {
					alert('ERROR: Es obligatorio informar SSCC para cerrar el contenedor destino.',null,'error')
					.done(function(){
						mueveScrollHastaElemento( $('#SSCC') )
						$('#SSCC').focus();
					});
				}
				<?php } ?>
				<?php if($gestionDefectuosos) { ?>
				else if( $('#paletDestinoDefectuosos').val() && !hayDefectuosos) {
					alert('ERROR: Has informado un contenedor destino de los productos defectuosos pero no has registrado ninguna cantidad como defectuosa.',null,'error')
					.done(function(){
						mueveScrollHastaElemento( $('#paletDestinoDefectuosos') )
						$('#paletDestinoDefectuosos').focus();
					});
				}
				else if( $('#paletDestinoDefectuosos').val()=='' && hayDefectuosos) {
					alert('ERROR: Es necesario informar el contenedor destino<br>de los productos defectuosos.',null,'error')
					.done(function(){
						mueveScrollHastaElemento( $('#paletDestinoDefectuosos') )
						$('#paletDestinoDefectuosos').focus();
					});
				}
				<?php } ?>
				<?php if($gestionLote) { ?>
				else if( $('#lote').val()=='' && !sePuedeEnviarSoloDefectuosos) {
					alert('ERROR: Es necesario informar el lote asignado a este producto.',null,'error')
					.done(function(){
						mueveScrollHastaElemento( $('#lote') )
						$('#lote').focus();
					});
				}
				<?php } ?>
				<?php if($gestionCaducidad) { ?>
				else if( $('#caducidad').val()=='' && !sePuedeEnviarSoloDefectuosos) {
					alert('ERROR: Es necesario informar la fecha de caducidad asignada a este producto.',null,'error')
					.done(function(){
						mueveScrollHastaElemento( $('#caducidad') )
						$('#caducidad').focus();
					});
				}
				<?php } ?>
				else if( $('#cantidadFinal').val()=='' && !sePuedeEnviarSoloDefectuosos) {
					alert('ERROR: Es necesario informar la cantidad final de producto transformado.',null,'error')
					.done(function(){
						mueveScrollHastaElemento( $('#cantidadFinal') )
						$('#cantidadFinal').focus();
					});
				}
				else if(hayVacios && !sePuedeEnviarSoloDefectuosos) {
					alert('ERROR: Algunas cantidades obligatorias no han sido informadas.',null,'error');
				}
				else if(hayErrorStock) {
					alert('ERROR: Algunas cantidades exceden el stock disponible.',null,'error');
				}
				else if(hayErrorSuma && !sePuedeEnviarSoloDefectuosos) {
					alert('ERROR: Algunas cantidades totales informadas por producto<br>son distintas a la suma de las cantidades individuales.',null,'error');
				}
				else if(hayErrorSumaInferior && !sePuedeEnviarSoloDefectuosos) {
					alert('ERROR: Algunas cantidades totales informadas por producto<br>son inferiores a las mínimas necesarias.',null,'error');
				}
				<?php if($noPermitirMezclarLotesNiCaducidades) { ?>
				else if(hayLotesMezclados) { //4-10-2024
					alert('ERROR: No se pueden mezclar lotes en productos en Régimen Fiscal.',null,'error');
				}
				else if(hayCaducidadesMezcladas) { //4-10-2024
					alert('ERROR: No se pueden mezclar fechas de caducidad en productos en Régimen Fiscal.',null,'error');
				}
				<?php } //Fin permitir mezclar lotes ?>
				<?php if($_SESSION['parametrosSGA']['GestionAutocontrolesCalidad']=='S' && $_SESSION['operacion']['ProductoObtener']['ProductoRegimen']!='DF') { //08-04-2025 añadimos <>DF por TICKET 25066022 ?>
				else if( $('#cantidadFinal').val()>=cantidadPendienteTransformar && !cuantosAntoControlesHay) {
					confirm('ATENCIÓN: No puedes completar toda la cantidad pendiente de transformación<br>sin haber realizado al menos un autocontrol de calidad.','advertencia')
					.done(function(){
						
						var url=construyeUrlAutocontrolCalidad('','autocontrol');
			
						$('#popupCargando').show();
						window.location=url;
					});
				}
				<?php } ?>
				else {
				
					if(hayDecimales) {
						confirm('Atención: Hay número decimales en las cantidades a informar.<br>¿Deseas continuar con estos valores?','advertencia')
						.done(function(){
							enviarFormulario();
						});
					}
					else {
						enviarFormulario();
					}
				
				}
			
			});
			
		});
		
		function enviarFormulario() {
		
			//alert('Ok, se procede a enviar');
			
			$('#popupCargando').show();
			$('#enviar').val(1);
			$('#formulario').submit();
			
		}
		
		
		//focos lectores para codigos de barras palet, foco por defecto SIEMPRE activo
		function focoPalet() {
		
			<?php if($gestionDefectuosos) { ?>
			
			if( $('#paletDestino').val()!='' ) {
				var hayDefectuosos=false;
				$('.cantidadUnitariaDefectuosa').each(function(){
					if($(this).val()!='') hayDefectuosos=true;
				});
				if(hayDefectuosos) $('#paletDestinoDefectuosos').focus();
			}
			else $('#paletDestino').focus();
			
			<?php } else { ?>
			
				<?php if($asociarSSCC) { ?>
				
				if( $('#paletDestino').val()!='' && $('#SSCC').val()=='' ) {
					$('#SSCC').focus();
				}
				else {
					$('#paletDestino').focus();
				}
				
				<?php } else { ?>
				
				$('#paletDestino').focus();
				
				<?php } ?>
			
			<?php } ?>
		}
		
		$(document).ready(function() {
	
			$('.campo').on('change',function(){
				focoPalet();
			});
			
			$('.guardarValorSesion').on('change',function(){
			
				const idCampo=$(this).attr('id');
				const tipoCampo=$(this).attr('type');
				let campoValor=$(this).val();
				
				if( tipoCampo=='checkbox' ) {
					if( $(this).is(':checked') ) campoValor='S';
					else campoValor='';
				}
			
				console.log('Valor cambiado: '+idCampo+' --> '+campoValor);
			
				$.post( "<?php echo $rutaHtml; ?>/contenidos/operacion-logistica-transformacion-actualizar-datos.php", { 'campo' : idCampo , 'valor' : campoValor , 'session_id' : '<?php echo session_id(); ?>' });
			
			});
			
			/*
			$('.checkGrande.guardarValorSesion').on('click',function(){
			
				const idCampo=$(this).attr('id');
				let campoValor;
				if($(this).is(':checked')) campoValor='S';
				
				console.log('Check cambiado: '+idCampo+' --> '+campoValor);
				
				$.post( "<?php echo $rutaHtml; ?>/contenidos/operacion-logistica-transformacion-actualizar-datos.php", { 'campo' : idCampo , 'valor' : campoValor , 'session_id' : '<?php echo session_id(); ?>' });
			
			});
			*/
			
			<?php if($asociarSSCC) { ?>
			
			$('#borrarPaletDestino').on('click',function(){
				$('#SSCC').val('');
			});
			
			$('#SSCC').on('change',function(){
				focoPalet();
			});
			
			$('#paletDestino').on('change',function(){
				
				$('#popupCargando').show();
		
				$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-info-contenedor.php", { contenedor : $("#paletDestino").val() })
				.done(function(data) {
				
					var info=data.split('#');
					var idPaletCliente=info[5];
		
					
					console.log('resultado: '+data);
					console.log('idPaletCliente: '+idPaletCliente);
					
					if(info[0]=='error') {
					
						alert(info[2],null,'error');
					
					}
					else {
					
						if(idPaletCliente!='' && idPaletCliente!==undefined) {
							$('#SSCC').val(idPaletCliente);
						}
						else $('#SSCC').focus();
						
					}
					
					$('#popupCargando').hide();
				
				});
				
			});
			
			<?php } ?>

		});
		
		focoPalet();
	
	</script>
    
<?php
	
}
else {
	?>
    <p class="error">
    <img src="<?php echo DIR_IMAGENES; ?>/iconos/error.png" width="50" height="50" /><br />
	<?php echo $resultado[0]['Error']; ?>
    </p>
    <?php
}

$desactivarActivarPalet=true;
$desactivarDesactivarPalet=true;

$deshabilitarBotonAutocontrolCalidad=true;

$deshabilitarBotonLimpieza=true;

include($rutaPhp.$rutaHtml.'/maqueta/menu-orden-transformacion.php');

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>